/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - prosoftjul16g2
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftjul16g2` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prosoftjul16g2`;

/*Table structure for table `mec` */

DROP TABLE IF EXISTS `mec`;

CREATE TABLE `mec` (
  `MecID` int(11) NOT NULL,
  `Grupa` varchar(1) DEFAULT NULL,
  `TimDomacinID` int(11) DEFAULT NULL,
  `TimGostID` int(11) DEFAULT NULL,
  `KosevaDomacin` int(11) DEFAULT NULL,
  `KosevaGost` int(11) DEFAULT NULL,
  PRIMARY KEY (`MecID`),
  KEY `TimDomacinID` (`TimDomacinID`),
  KEY `TimGostID` (`TimGostID`),
  CONSTRAINT `mec_ibfk_1` FOREIGN KEY (`TimDomacinID`) REFERENCES `tim` (`TimID`),
  CONSTRAINT `mec_ibfk_2` FOREIGN KEY (`TimGostID`) REFERENCES `tim` (`TimID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mec` */

insert  into `mec`(`MecID`,`Grupa`,`TimDomacinID`,`TimGostID`,`KosevaDomacin`,`KosevaGost`) values (1,'E',3,4,NULL,NULL),(2,'E',2,1,NULL,NULL),(3,'E',1,4,NULL,NULL),(4,'E',2,3,NULL,NULL),(5,'E',1,3,NULL,NULL),(6,'E',4,2,NULL,NULL),(7,'F',8,5,NULL,NULL),(8,'F',7,6,NULL,NULL),(9,'F',6,5,NULL,NULL),(10,'F',7,8,NULL,NULL),(11,'F',6,8,NULL,NULL),(12,'F',5,7,NULL,NULL);

/*Table structure for table `tim` */

DROP TABLE IF EXISTS `tim`;

CREATE TABLE `tim` (
  `TimID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`TimID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `tim` */

insert  into `tim`(`TimID`,`Naziv`) values (1,'Italija'),(2,'Belgija'),(3,'Irska'),(4,'Svedska'),(5,'Madjarska'),(6,'Island'),(7,'Portugal'),(8,'Austrija');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
